diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-amc.h ns-3.44/src/lte/model/lte-amc.h
--- ns-3.43/src/lte/model/lte-amc.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-amc.h	2025-03-09 16:55:49.599372000 -0700
@@ -11,8 +11,8 @@
 #ifndef AMCMODULE_H
 #define AMCMODULE_H
 
-#include <ns3/object.h>
-#include <ns3/ptr.h>
+#include "ns3/object.h"
+#include "ns3/ptr.h"
 
 #include <vector>
 
@@ -22,7 +22,7 @@
 class SpectrumValue;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  * Implements the Adaptive Modulation And Coding Scheme. As proposed in 3GPP
  * TSG-RAN WG1 [R1-081483 Conveying MCS and TB size via PDCCH]
  * (http://www.3gpp.org/ftp/tsg_ran/WG1_RL1/TSGR1_52b/Docs/R1-081483.zip).
@@ -31,8 +31,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -43,7 +43,7 @@
     enum AmcModel
     {
         /**
-         * \details
+         * @details
          * An AMC model based on Piro, G.; Grieco, L.A; Boggia, G.; Camarda, P.,
          * "A two-level scheduling algorithm for QoS support in the downlink of
          * LTE cellular networks," _Wireless Conference (EW), 2010 European_,
@@ -57,53 +57,53 @@
     };
 
     /**
-     * \brief Get the Modulation and Coding Scheme for
+     * @brief Get the Modulation and Coding Scheme for
      * a CQI value
-     * \param cqi the cqi value
-     * \return the MCS value
+     * @param cqi the cqi value
+     * @return the MCS value
      */
     int GetMcsFromCqi(int cqi);
 
     /**
-     * \brief Get the Transport Block Size for a selected MCS and number of PRB (table 7.1.7.2.1-1
+     * @brief Get the Transport Block Size for a selected MCS and number of PRB (table 7.1.7.2.1-1
      * of 36.213)
-     * \param mcs the MCS index
-     * \param nprb the no. of PRB
-     * \return the Transport Block Size in bits
+     * @param mcs the MCS index
+     * @param nprb the no. of PRB
+     * @return the Transport Block Size in bits
      */
     int GetDlTbSizeFromMcs(int mcs, int nprb);
 
     /**
-     * \brief Get the Transport Block Size for a selected MCS and number of PRB (table 8.6.1-1
+     * @brief Get the Transport Block Size for a selected MCS and number of PRB (table 8.6.1-1
      * of 36.213)
-     * \param mcs the MCS index
-     * \param nprb the no. of PRB
-     * \return the Transport Block Size in bits
+     * @param mcs the MCS index
+     * @param nprb the no. of PRB
+     * @return the Transport Block Size in bits
      */
     int GetUlTbSizeFromMcs(int mcs, int nprb);
 
     /**
-     * \brief Get the spectral efficiency value associated
+     * @brief Get the spectral efficiency value associated
      * to the received CQI
-     * \param cqi the cqi value
-     * \return the spectral efficiency in (bit/s)/Hz
+     * @param cqi the cqi value
+     * @return the spectral efficiency in (bit/s)/Hz
      */
     double GetSpectralEfficiencyFromCqi(int cqi);
 
     /**
-     * \brief Create a message with CQI feedback
-     * \param sinr the SpectrumValue vector of SINR for evaluating the CQI
-     * \param rbgSize size of RB group (in RBs) for evaluating subband/wideband CQI
-     * \return a vector of CQI feedbacks
+     * @brief Create a message with CQI feedback
+     * @param sinr the SpectrumValue vector of SINR for evaluating the CQI
+     * @param rbgSize size of RB group (in RBs) for evaluating subband/wideband CQI
+     * @return a vector of CQI feedbacks
      */
     std::vector<int> CreateCqiFeedbacks(const SpectrumValue& sinr, uint8_t rbgSize = 0);
 
     /**
-     * \brief Get a proper CQI for the spectral efficiency value.
+     * @brief Get a proper CQI for the spectral efficiency value.
      * In order to assure a lower block error rate, the AMC chooses the lower CQI value
      * for a given spectral efficiency
-     * \param s the spectral efficiency
-     * \return the CQI value
+     * @param s the spectral efficiency
+     * @return the CQI value
      */
     int GetCqiFromSpectralEfficiency(double s);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-anr.cc ns-3.44/src/lte/model/lte-anr.cc
--- ns-3.43/src/lte/model/lte-anr.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-anr.cc	2025-03-09 16:55:49.599372000 -0700
@@ -15,8 +15,8 @@
 
 #include "lte-anr.h"
 
-#include <ns3/log.h>
-#include <ns3/uinteger.h>
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
@@ -192,7 +192,7 @@
         {
             NS_LOG_WARN(
                 this << " Event A4 received without measurement results from neighbouring cells");
-            /// \todo Remove neighbours in the NRT.
+            /// @todo Remove neighbours in the NRT.
         }
 
     } // end of else of if (measId != m_measId)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-anr.h ns-3.44/src/lte/model/lte-anr.h
--- ns-3.43/src/lte/model/lte-anr.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-anr.h	2025-03-09 16:55:49.599372000 -0700
@@ -19,7 +19,7 @@
 #include "lte-anr-sap.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 #include <map>
 
@@ -31,7 +31,7 @@
 class LteNeighbourRelation;
 
 /**
- * \brief Automatic Neighbour Relation function.
+ * @brief Automatic Neighbour Relation function.
  *
  * ANR is a conceptually a list of neighbouring cells called the Neighbour
  * Relation Table (NRT). ANR has the capability of automatically inserting new
@@ -71,23 +71,23 @@
 {
   public:
     /**
-     * \brief Creates an ANR instance.
-     * \param servingCellId the cell ID of the eNodeB instance whom this ANR
+     * @brief Creates an ANR instance.
+     * @param servingCellId the cell ID of the eNodeB instance whom this ANR
      *                      instance is to be associated with
      */
     LteAnr(uint16_t servingCellId);
     ~LteAnr() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Provide an advance information about a related neighbouring cell
+     * @brief Provide an advance information about a related neighbouring cell
      *        and add it as a new Neighbour Relation entry.
-     * \param cellId the cell ID of the new neighbour
+     * @param cellId the cell ID of the new neighbour
      *
      * This function simulates the Neighbour Relation addition operation by
      * network operations and maintenance, as depicted in Section 22.3.2a of
@@ -101,8 +101,8 @@
     void AddNeighbourRelation(uint16_t cellId);
 
     /**
-     * \brief Remove an existing Neighbour Relation entry.
-     * \param cellId the cell ID to be removed from the NRT
+     * @brief Remove an existing Neighbour Relation entry.
+     * @param cellId the cell ID to be removed from the NRT
      *
      * This function simulates the Neighbour Relation removal operation by
      * network operations and maintenance, as depicted in Section 22.3.2a of
@@ -111,16 +111,16 @@
     void RemoveNeighbourRelation(uint16_t cellId);
 
     /**
-     * \brief Set the "user" part of the ANR SAP interface that this ANR instance
+     * @brief Set the "user" part of the ANR SAP interface that this ANR instance
      *        will interact with.
-     * \param s a reference to the "user" part of the interface, typically a
+     * @param s a reference to the "user" part of the interface, typically a
      *          member of an LteEnbRrc instance
      */
     virtual void SetLteAnrSapUser(LteAnrSapUser* s);
 
     /**
-     * \brief Export the "provider" part of the ANR SAP interface.
-     * \return the reference to the "provider" part of the interface, typically to
+     * @brief Export the "provider" part of the ANR SAP interface.
+     * @return the reference to the "provider" part of the interface, typically to
      *         be kept by an LteEnbRrc instance
      */
     virtual LteAnrSapProvider* GetLteAnrSapProvider();
@@ -137,36 +137,36 @@
     // ANR SAP PROVIDER IMPLEMENTATION
 
     /**
-     * \brief Implementation of LteAnrSapProvider::ReportUeMeas.
-     * \param measResults a single report of one measurement identity
+     * @brief Implementation of LteAnrSapProvider::ReportUeMeas.
+     * @param measResults a single report of one measurement identity
      */
     void DoReportUeMeas(LteRrcSap::MeasResults measResults);
 
     /**
-     * \brief Implementation of LteAnrSapProvider::AddNeighbourRelation.
-     * \param cellId the Physical Cell ID of the new neighbouring cell
+     * @brief Implementation of LteAnrSapProvider::AddNeighbourRelation.
+     * @param cellId the Physical Cell ID of the new neighbouring cell
      */
     void DoAddNeighbourRelation(uint16_t cellId);
 
     /**
-     * \brief Implementation of LteAnrSapProvider::GetNoRemove.
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* be removed from the NRT
+     * @brief Implementation of LteAnrSapProvider::GetNoRemove.
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* be removed from the NRT
      */
     bool DoGetNoRemove(uint16_t cellId) const;
 
     /**
-     * \brief Implementation of LteAnrSapProvider::GetNoHo.
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* be used by the eNodeB
+     * @brief Implementation of LteAnrSapProvider::GetNoHo.
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* be used by the eNodeB
      *         for handover reasons
      */
     bool DoGetNoHo(uint16_t cellId) const;
 
     /**
-     * \brief Implementation of LteAnrSapProvider::GetNoX2.
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* use an X2 interface in
+     * @brief Implementation of LteAnrSapProvider::GetNoX2.
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* use an X2 interface in
      *         order to initiate procedures towards the eNodeB parenting the
      *         target cell
      */
@@ -175,13 +175,13 @@
     // ANR SAP
 
     /**
-     * \brief Reference to the "provider" part of the ANR SAP interface, which is
+     * @brief Reference to the "provider" part of the ANR SAP interface, which is
      *        automatically created when this class instantiates.
      */
     LteAnrSapProvider* m_anrSapProvider;
 
     /**
-     * \brief Reference to the "user" part of the ANR SAP interface, which is
+     * @brief Reference to the "user" part of the ANR SAP interface, which is
      *        provided by the eNodeB RRC instance.
      */
     LteAnrSapUser* m_anrSapUser;
@@ -192,7 +192,7 @@
     uint8_t m_threshold;
 
     /**
-     * \brief Neighbour Relation between two eNodeBs (serving eNodeB and neighbour
+     * @brief Neighbour Relation between two eNodeBs (serving eNodeB and neighbour
      *        eNodeB).
      */
     struct NeighbourRelation_t
@@ -210,9 +210,9 @@
     NeighbourRelationTable_t m_neighbourRelationTable;
 
     /**
-     * \internal methods
-     * \param cellId
-     * \returns the neighbor relation
+     * @internal methods
+     * @param cellId
+     * @returns the neighbor relation
      */
     const NeighbourRelation_t* Find(uint16_t cellId) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-anr-sap.h ns-3.44/src/lte/model/lte-anr-sap.h
--- ns-3.43/src/lte/model/lte-anr-sap.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-anr-sap.h	2025-03-09 16:55:49.599372000 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \brief Service Access Point (SAP) offered by the ANR instance to the eNodeB
+ * @brief Service Access Point (SAP) offered by the ANR instance to the eNodeB
  *        RRC instance.
  *
  * This is the *ANR SAP Provider*, i.e., the part of the SAP that contains the
@@ -28,8 +28,8 @@
     virtual ~LteAnrSapProvider();
 
     /**
-     * \brief Send a UE measurement report to the ANC instance.
-     * \param measResults a single report of one measurement identity
+     * @brief Send a UE measurement report to the ANC instance.
+     * @param measResults a single report of one measurement identity
      *
      * The received measurement report is a result of the UE measurement
      * configuration previously configured by calling
@@ -39,33 +39,33 @@
     virtual void ReportUeMeas(LteRrcSap::MeasResults measResults) = 0;
 
     /**
-     * \brief Add a new Neighbour Relation entry.
-     * \param cellId the Physical Cell ID of the new neighbouring cell
+     * @brief Add a new Neighbour Relation entry.
+     * @param cellId the Physical Cell ID of the new neighbouring cell
      */
     virtual void AddNeighbourRelation(uint16_t cellId) = 0;
 
     /**
-     * \brief Get the value of *No Remove* field of a neighbouring cell from the
+     * @brief Get the value of *No Remove* field of a neighbouring cell from the
      *        Neighbour Relation Table (NRT).
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* be removed from the NRT
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* be removed from the NRT
      */
     virtual bool GetNoRemove(uint16_t cellId) const = 0;
 
     /**
-     * \brief Get the value of *No HO* field of a neighbouring cell from the
+     * @brief Get the value of *No HO* field of a neighbouring cell from the
      *        Neighbour Relation Table (NRT).
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* be used by the eNodeB
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* be used by the eNodeB
      *         for handover reasons
      */
     virtual bool GetNoHo(uint16_t cellId) const = 0;
 
     /**
-     * \brief Get the value of *No X2* field of a neighbouring cell from the
+     * @brief Get the value of *No X2* field of a neighbouring cell from the
      *        Neighbour Relation Table (NRT).
-     * \param cellId the Physical Cell ID of the neighbouring cell of interest
-     * \return if true, the Neighbour Relation shall *not* use an X2 interface in
+     * @param cellId the Physical Cell ID of the neighbouring cell of interest
+     * @return if true, the Neighbour Relation shall *not* use an X2 interface in
      *         order to initiate procedures towards the eNodeB parenting the
      *         target cell
      */
@@ -74,7 +74,7 @@
 }; // end of class LteAnrSapProvider
 
 /**
- * \brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
+ * @brief Service Access Point (SAP) offered by the eNodeB RRC instance to the
  *        ANR instance.
  *
  * This is the *ANR SAP User*, i.e., the part of the SAP that contains the
@@ -86,10 +86,10 @@
     virtual ~LteAnrSapUser();
 
     /**
-     * \brief Request a certain reporting configuration to be fulfilled by the UEs
+     * @brief Request a certain reporting configuration to be fulfilled by the UEs
      *        attached to the eNodeB entity.
-     * \param reportConfig the UE measurement reporting configuration
-     * \return the measurement identity associated with this newly added
+     * @param reportConfig the UE measurement reporting configuration
+     * @return the measurement identity associated with this newly added
      *         reporting configuration
      *
      * The eNodeB RRC entity is expected to configure the same reporting
@@ -98,14 +98,14 @@
      * configuration, the eNodeB RRC entity shall forward this report to the ANC
      * instance through the LteAnrSapProvider::ReportUeMeas SAP function.
      *
-     * \note This function is only valid before the simulation begins.
+     * @note This function is only valid before the simulation begins.
      */
     virtual uint8_t AddUeMeasReportConfigForAnr(LteRrcSap::ReportConfigEutra reportConfig) = 0;
 
 }; // end of class LteAnrSapUser
 
 /**
- * \brief Template for the implementation of the LteAnrSapProvider as a member
+ * @brief Template for the implementation of the LteAnrSapProvider as a member
  *        of an owner class of type C to which all methods are forwarded.
  */
 template <class C>
@@ -115,7 +115,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteAnrSapProvider(C* owner);
 
@@ -176,7 +176,7 @@
 }
 
 /**
- * \brief Template for the implementation of the LteAnrSapUser as a member of an
+ * @brief Template for the implementation of the LteAnrSapUser as a member of an
  *        owner class of type C to which all methods are forwarded.
  */
 template <class C>
@@ -186,7 +186,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteAnrSapUser(C* owner);
 
